package com.easyproject.common.utils;

import cn.hutool.core.util.RandomUtil;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 方法说明: 生成订单号工具包
 * 传入参数:
 * 返回的值:
 * 作者: java-101
 * 日期: 2024-05-17 14:43:30
 */
public class OrderNumberUtil {

    /**
     * 方法说明: 生成订单号
     * 传入参数:
     * 返回的值:
     * 作者: java-101
     * 日期: 2024-05-17 14:44:16
     */
    public static String customFormatDate(String prefix) {
        SimpleDateFormat simpleDateFormat;
        simpleDateFormat = new SimpleDateFormat("yyyyMMddHHmmssSSS");
        Date date = new Date();
        String str = simpleDateFormat.format(date);
        return prefix+str+ RandomUtil.randomNumbers(6);
    }

    /**
     * 方法说明: 竞猜活动编号
     * 传入参数:
     * 返回的值:
     * 作者: java-101
     * 日期: 2024-05-17 14:46:19
     */
    public static String getGuesNumber(){
        return customFormatDate("JC");
    }

    public static void main(String[] args) {
        System.out.println("=====>>> " +getGuesNumber());
        System.out.println("=====>>> " +getGuesNumber());
        System.out.println("=====>>> " +getGuesNumber());
    }


}
